Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_image
Version:	1.2.6
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.libsdl.org/projects/SDL_image/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Simple DirectMedia Layer - Sample Image Loading Library.
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel

%description
SDL_image is a simple library to load images of various formats as SDL surfaces.
This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF formats.
For more details see: http://www.libsdl.org/projects/SDL_image/

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--enable-tif \
--enable-xcf \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.5-3
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.5-2
- rebuilt against SDL 1.2.10
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.5-1
- Update to Version 1.2.5
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.4-2
- rebuilt, removed wrong Obsoletes-Tag
* Wed Apr 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.4-1
- Update to Version 1.2.4
